# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "pdc_6x1"
version = "0.1.0"
authors = ["chicory-ru"]
build = false
include = [
    "src/**/*",
    "Cargo.toml",
    "README.md",
    "LICENSE*",
    "*.jpg",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A hardware-agnostic driver for the 6x1 7-segment display"
readme = "README.md"
keywords = [
    "embedded-hal",
    "display",
    "7-segment",
    "no-std",
]
categories = [
    "embedded",
    "hardware-support",
]
license = "MIT OR Apache-2.0"

[lib]
name = "pdc_6x1"
path = "src/lib.rs"
test = false
bench = false

[dependencies.embedded-hal]
version = "1.0.0"

[profile.release]
opt-level = "s"
lto = true
